'use strict';

exports.__esModule = true;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _execSteps = require('./execSteps');

var _execSteps2 = _interopRequireDefault(_execSteps);

function execStepsWithDelay(steps, delay, done) {
  var execNextStep = _execSteps2['default'](steps, done);

  return function () {
    var context = this,
        args = Array.prototype.slice.call(arguments, 0);

    return setTimeout(function () {
      execNextStep.apply(context, args);
    }, delay);
  };
}

exports['default'] = execStepsWithDelay;
module.exports = exports['default'];